---
operationId: "createProjectTransferRequest"
method: "POST"
path: "/programs/{program_id}/transfer_requests"
tag: "projects"
interfaces: ["api", "sdk"]
---
> API Reference / Programs / Create a program transfer request

## POST /programs/{program_id}/transfer_requests

Creates a transfer request for the specified program. The request expires after a set period.
To accept the request, the recipient calls `PUT /programs/{program_id}/transfer_requests/{request_id}`
or uses the OptiTech Console claim link.
The optional `ru` parameter redirects the recipient after acceptance.


### Parameters

- `program_id` (string, path, required)
  The OptiTech program ID

### Request body

- `ttl_seconds` (integer, optional, format: int64)
  Specifies the validity duration of the transfer request in seconds. If not provided,
  the request will expire after 24 hours (86,400 seconds).
  

### Response (201)

- `id` (string, optional, format: uuid)
  The unique identifier for the transfer request
- `program_id` (string, optional)
  The ID of the program that is being transferred
- `created_at` (string, optional, format: date-time)
  The timestamp when the transfer request was created
- `expires_at` (string, optional, format: date-time)
  The timestamp when the transfer request will expire

### Code examples

```bash
curl "https://api.optitech.com/v1/programs/$PROGRAM_ID/transfer_requests" \
  -X POST \
  -H "Authorization: Bearer $OPTITECH_API_KEY"
```

```typescript
import { createOptiTechClient, raw } from '@optitech/sdk';

const optitech = createOptiTechClient({ apiKey: process.env.OPTITECH_API_KEY });
const { data } = await raw.createProjectTransferRequest({
  client: optitech.client,
  path: {
    program_id: process.env.PROGRAM_ID
  }
});
```

### Errors

**default**
General Error.

The request may or may not be safe to retry, depending on the HTTP method, response status code,
and whether a response was received.

- If no response is returned from the API, a network error or timeout likely occurred.
- In some cases, the request may have reached the server and been successfully processed, but the response failed to reach the client. As a result, retrying non-idempotent requests can lead to unintended results.

The following HTTP methods are considered non-idempotent: `POST`, `PATCH`, `DELETE`, and `PUT`. Retrying these methods is generally **not safe**.
The following methods are considered idempotent: `GET`, `HEAD`, and `OPTIONS`. Retrying these methods is **safe** in the event of a network error or timeout.

Any request that returns a `503 Service Unavailable` response is always safe to retry.

Any request that returns a `423 Locked` response is safe to retry. `423 Locked` indicates that the resource is temporarily locked, for example, due to another operation in progress.

- `request_id` (string, optional)
  Unique identifier for the request, useful for debugging.
  You can set this value manually by including an `X-Request-ID` header in the request. If not provided, the value will be generated automatically.
  
- `code` (string, required)
  Default: ``
- `message` (string, required)
  Error message
